Bug 78115 - Switch svg/custom tests to repaint harness
: Switch svg/custom tests to repaint harness
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: SVG
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Nikolas Zimmermann
:
Depends on: 77736 78332
Blocks: 77541
  Show dependency treegraph
 
Reported: 2012-02-08 08:16 PST by Nikolas Zimmermann
Modified: 2012-04-05 12:50 PDT (History)
7 users (show)

See Also:


Attachments
Patch (3.03 MB, patch)
2012-02-08 08:20 PST, Nikolas Zimmermann
no flags Details | Formatted Diff | Diff
Patch v2 (3.05 MB, patch)
2012-02-09 02:40 PST, Nikolas Zimmermann
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolas Zimmermann 2012-02-08 08:16:09 PST
Switch svg/custom tests to repaint harness. Follow-up for bug 77736.
Next and last is svg/dynamic-updates.
Comment 1 Nikolas Zimmermann 2012-02-08 08:20:43 PST
Created attachment 126085 [details]
Patch
Comment 2 Nikolas Zimmermann 2012-02-09 02:40:55 PST
Created attachment 126262 [details]
Patch v2
Comment 3 Andreas Kling 2012-02-09 03:07:03 PST
Comment on attachment 126262 [details]
Patch v2

LGTM!
Comment 4 Nikolas Zimmermann 2012-02-09 03:22:32 PST
Committed r107207: <http://trac.webkit.org/changeset/107207>
Comment 5 WebKit Review Bot 2012-02-09 03:23:15 PST
Comment on attachment 126262 [details]
Patch v2

Attachment 126262 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/11487197

New failing tests:
platform/chromium/compositing/layout-width-change.html
svg/carto.net/slider.svg
Comment 6 Nikolas Zimmermann 2012-02-09 04:34:15 PST
(In reply to comment #5)
> (From update of attachment 126262 [details])
> Attachment 126262 [details] did not pass chromium-ews (chromium-xvfb):
> Output: http://queues.webkit.org/results/11487197
> 
> New failing tests:
> platform/chromium/compositing/layout-width-change.html
> svg/carto.net/slider.svg
For the record, these are not related to this bug, it only changed layout tests, and none in those directories.
Comment 7 Csaba Osztrogonác 2012-02-09 07:56:00 PST
(In reply to comment #4)
> Committed r107207: <http://trac.webkit.org/changeset/107207>

Reopen, because it made the following tests assert on Qt in debug mode:
svg/custom/mask-child-changes.svg
svg/custom/mask-invalidation.svg
svg/custom/absolute-sized-content-with-resources.xhtml

ASSERTION FAILED: m_transparencyCount > 0
../../../../Source/WebCore/platform/graphics/GraphicsContext.cpp(346) : void WebCore::GraphicsContext::endTransparencyLayer()
Comment 8 Nikolas Zimmermann 2012-02-09 08:03:49 PST
(In reply to comment #7)
> (In reply to comment #4)
> > Committed r107207: <http://trac.webkit.org/changeset/107207>
> 
> Reopen, because it made the following tests assert on Qt in debug mode:
> svg/custom/mask-child-changes.svg
> svg/custom/mask-invalidation.svg
> svg/custom/absolute-sized-content-with-resources.xhtml
> 
> ASSERTION FAILED: m_transparencyCount > 0
> ../../../../Source/WebCore/platform/graphics/GraphicsContext.cpp(346) : void WebCore::GraphicsContext::endTransparencyLayer()

hm, I guess this only exposes a Qt bug - that's now visible due the changed timing. It's not something I can fix without a Qt build - You forgot to reopen btw.
Comment 9 Csaba Osztrogonác 2012-02-09 08:05:42 PST
(In reply to comment #8)
> (In reply to comment #7)
> > (In reply to comment #4)
> > > Committed r107207: <http://trac.webkit.org/changeset/107207>
> > 
> > Reopen, because it made the following tests assert on Qt in debug mode:
> > svg/custom/mask-child-changes.svg
> > svg/custom/mask-invalidation.svg
> > svg/custom/absolute-sized-content-with-resources.xhtml
> > 
> > ASSERTION FAILED: m_transparencyCount > 0
> > ../../../../Source/WebCore/platform/graphics/GraphicsContext.cpp(346) : void WebCore::GraphicsContext::endTransparencyLayer()
> 
> hm, I guess this only exposes a Qt bug - that's now visible due the changed timing. It's not something I can fix without a Qt build - You forgot to reopen btw.

:-(

Zoltán or Reni or any other Qt and svg expert, could you check this?
Comment 10 Eric Seidel 2012-02-10 10:22:37 PST
Comment on attachment 126262 [details]
Patch v2

Cleared Andreas Kling's review+ from obsolete attachment 126262 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 11 Nikolas Zimmermann 2012-02-15 01:47:30 PST
I'm closing this bug, we can move the Qt specific fixing into bug 78332.
Comment 12 Stephen Chenney 2012-04-05 12:50:22 PDT
Committed r113360: <http://trac.webkit.org/changeset/113360>